### Method

# Atspi Text get_offset_at_point

#### Declaration [src]

    gint
    atspi_text_get_offset_at_point (
      AtspiText* obj,
      gint x,
      gint y,
      AtspiCoordType type,
      GError** error
    )

#### Description [src]

Gets the character offset into the text at a given point.

#### Parameters

`x`

  Type: `gint`

  The x coordinate of the point to be queried.

`y`

  Type: `gint`

  The y coordinate of the point to be queried.

`type`

  Type: `AtspiCoordType`

  An `AtspiCoordType` indicating the coordinate system in which the values should be returned.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gint`

The offset (as a #gint) at the point (`x`, `y`) in the specified coordinate system.